[common]
version = 2
import_std = [
    "fs",
    "net",
    "process",
]

[pkg.serde_derive]
allow_proc_macro = true

[pkg.strum_macros]
allow_proc_macro = true

[pkg.rustversion]
allow_proc_macro = true

[pkg.unicode-ident]
allow_unsafe = true

[pkg.proc-macro2]
build.allow_apis = [
    "fs",
    "process",
]
allow_unsafe = true

[pkg.libc]
build.allow_apis = [
    "process",
]
allow_unsafe = true

[pkg.serde]
build.allow_apis = [
    "process",
]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.memchr]
allow_unsafe = true

[pkg.autocfg]
from.build.allow_apis = [
    "fs",
    "process",
]

[pkg.syn]
allow_unsafe = true

[pkg.bitflags]
allow_unsafe = true

[pkg.itoa]
allow_unsafe = true

[pkg.pkg-config]
from.build.allow_apis = [
    "fs",
    "process",
]

[pkg.libseccomp]
build.allow_apis = [
    "fs",
]
allow_unsafe = true

[pkg.smallvec]
allow_unsafe = true

[pkg.memoffset]
allow_unsafe = true

[pkg.serde_json]
allow_unsafe = true

[pkg.num_cpus]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.log]
allow_unsafe = true

[pkg.once_cell]
allow_unsafe = true

[pkg.syd]
allow_unsafe = true
allow_apis = [
    "fs",
    "net",
    "process",
]

[pkg.nix]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.errno]
allow_unsafe = true

[pkg.rustix]
build.allow_apis = [
    "fs",
    "process",
]
allow_unsafe = true

[pkg.linux-raw-sys]
allow_unsafe = true

[pkg.num-traits]
allow_unsafe = true

[pkg.lazy_static]
allow_unsafe = true

[pkg.tempfile]
allow_apis = [
    "fs",
]

[pkg.crossbeam-utils]
allow_unsafe = true

[pkg.cc]
allow_unsafe = true
from.build.allow_apis = [
    "fs",
    "process",
]

[pkg.thiserror-impl]
allow_proc_macro = true

[pkg.hashbrown]
allow_unsafe = true

[pkg.indexmap]
allow_unsafe = true

[pkg.fixedbitset]
allow_unsafe = true

[pkg.dirs-sys]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.cpufeatures]
allow_unsafe = true

[pkg.libloading]
allow_unsafe = true

[pkg.tick_counter]
allow_unsafe = true

[pkg.shellexpand]
allow_apis = [
    "fs",
]

[pkg.sendfd]
allow_unsafe = true

[pkg.zerocopy-derive]
allow_proc_macro = true

[pkg.scroll_derive]
allow_proc_macro = true
allow_unsafe = true

[pkg.version_check]
from.build.allow_apis = [
    "process",
]

[pkg.zerocopy]
allow_unsafe = true
build.allow_apis = [
    "fs",
    "process",
]

[pkg.ahash]
allow_unsafe = true

[pkg.scroll]
allow_unsafe = true

[pkg.borsh-derive]
allow_proc_macro = true

[pkg.ptr_meta_derive]
allow_proc_macro = true

[pkg.bytecheck_derive]
allow_proc_macro = true

[pkg.wasm-bindgen-macro]
allow_proc_macro = true

[pkg.rkyv_derive]
allow_proc_macro = true

[pkg.siphasher]
allow_unsafe = true

[pkg.rand_core]
allow_unsafe = true

[pkg.shlex]
allow_unsafe = true

[pkg.minimal-lexical]
allow_unsafe = true

[pkg.serde_core]
build.allow_apis = [
    "fs",
    "process",
]
allow_unsafe = true

[pkg.typenum]
build.allow_apis = [
    "fs",
]

[pkg.find-msvc-tools]
allow_unsafe = true
from.build.allow_apis = [
    "fs",
]

[pkg.portable-atomic]
build.allow_apis = [
    "process",
]
allow_unsafe = true

[pkg.portable-atomic-util]
build.allow_apis = [
    "process",
]
allow_unsafe = true

[pkg.zmij]
build.allow_apis = [
    "process",
]
allow_unsafe = true

[pkg.rust_decimal]
build.allow_apis = [
    "fs",
]

[pkg.smallstr]
allow_unsafe = true

[pkg.getrandom]
build.allow_apis = [
    "process",
]
allow_unsafe = true

[pkg.wyz]
allow_unsafe = true

[pkg.arrayvec]
allow_unsafe = true

[pkg.rand]
allow_unsafe = true

[pkg.dirs]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.rtoolbox]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.nom]
allow_unsafe = true

[pkg.generic-array]
allow_unsafe = true

[pkg.hardened-malloc-sys]
build.allow_apis = [
    "fs",
]

[pkg.yaxpeax-arch]
allow_unsafe = true

[pkg.bytes]
allow_unsafe = true

[pkg.keccak]
allow_unsafe = true

[pkg.iced-x86]
allow_unsafe = true

[pkg.bitvec]
allow_unsafe = true

[pkg.iprange]
allow_unsafe = true

[pkg.terminfo]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.rpassword]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.block-buffer]
allow_unsafe = true

[pkg.hardened-malloc]
allow_unsafe = true

[pkg.netlink-sys]
allow_unsafe = true

[pkg.subtle]
allow_unsafe = true

[pkg.zeroize]
allow_unsafe = true

[pkg.quote]
build.allow_apis = [
    "process",
]

[pkg.sha1]
allow_unsafe = true

[pkg.ringbuf]
allow_unsafe = true

[pkg.lzma-sys]
build.allow_apis = [
    "fs",
]

[pkg.unicode-normalization]
allow_unsafe = true

[pkg.plain]
allow_unsafe = true

[pkg.data-encoding]
allow_unsafe = true

[pkg.dactyl]
build.allow_apis = [
    "fs",
]
allow_unsafe = true

[pkg.xz2]
allow_unsafe = true

[pkg.yaxpeax-arm]
allow_unsafe = true

[pkg.mortal]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.goblin]
allow_unsafe = true

[pkg.linefeed]
allow_unsafe = true
allow_apis = [
    "fs",
]

[pkg.procfs-core]
allow_apis = [
    "fs",
]

[pkg.brunch]
allow_apis = [
    "fs",
]

[api.fs]
include = [
    "criterion::fs",
    "rustix::fs",
    "syd::fs",
]

[api.net]
include = [
    "nix::net",
    "procfs-core::net",
    "procfs::net",
]

[api.process]
include = [
    "procfs-core::process",
    "procfs::process",
    "rustix::process",
]
